# DataExchange
TKXSBase
StepSelect

# StepSelect_FloatFormat Class Reference

This class gives control out format for floatting values :
ZeroSuppress or no, Main Format, Format in Range (for values
around 1.), as StepWriter allows to manage it.
Formats are given under C-printf form
.

`#include <StepSelect_FloatFormat.hxx>`

Inheritance diagram for StepSelect_FloatFormat:

[legend]

## Public Member Functions

Standard_EXPORT | StepSelect_FloatFormat ()
| Creates a new FloatFormat, with standard options : ZeroSuppress, Main Format = E, Format between 0.001 and 1000. = f .
Standard_EXPORT void | SetDefault (const Standard_Integer digits=0)
| Sets FloatFormat to default value (see Create) but if <digits> is given positive, it commands Formats (main and range) to ensure <digits> significant digits to be displayed .
Standard_EXPORT void | SetZeroSuppress (const Standard_Boolean mode)
| Sets ZeroSuppress mode to a new value .
Standard_EXPORT void | SetFormat (const Standard_CString format="%E")
| Sets Main Format to a new value Remark : SetFormat, SetZeroSuppress and SetFormatForRange are independant .
Standard_EXPORT void | SetFormatForRange (const Standard_CString format="%f", const Standard_Real Rmin=0.1, const Standard_Real Rmax=1000.0)
| Sets Format for Range to a new value with its range of application. To cancel it, give format as "" (empty string) Remark that if the condition (0. < Rmin < Rmax) is not verified, this secondary format will be ignored. Moreover, this secondary format is intended to be used in a range around 1. .
Standard_EXPORT void | Format (Standard_Boolean &zerosup, TCollection_AsciiString &mainform, Standard_Boolean &hasrange, TCollection_AsciiString &forminrange, Standard_Real &rangemin, Standard_Real &rangemax) const
| Returns all recorded parameters : zerosup : ZeroSuppress status mainform : Main Format (which applies out of the range, or for every real if no range is set) hasrange : True if a FormatInRange is set, False else (following parameters do not apply if it is False) forminrange : Secondary Format (it applies inside the range) rangemin, rangemax : the range in which the secondary format applies .
Standard_EXPORT void | Perform (IFSelect_ContextWrite &ctx, StepData_StepWriter &writer) const
| Sets the Floatting Formats of StepWriter to the recorded parameters .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns specific Label : for instance, "Float Format [ZeroSuppress] %E [, in range R1-R2 %f]" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | thezerosup
TCollection_AsciiString | themainform
TCollection_AsciiString | theformrange
Standard_Real | therangemin
Standard_Real | therangemax

## Constructor & Destructor Documentation

Standard_EXPORT StepSelect_FloatFormat::StepSelect_FloatFormat | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepSelect_FloatFormat::Format | ( | Standard_Boolean & | zerosup,
|  | TCollection_AsciiString & | mainform,
|  | Standard_Boolean & | hasrange,
|  | TCollection_AsciiString & | forminrange,
|  | Standard_Real & | rangemin,
|  | Standard_Real & | rangemax
| ) | const

Standard_EXPORT const StepSelect_FloatFormat::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepSelect_FileModifier.

Standard_EXPORT TCollection_AsciiString StepSelect_FloatFormat::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void StepSelect_FloatFormat::Perform | ( | IFSelect_ContextWrite & | ctx,
|  | StepData_StepWriter & | writer
| ) | const`[virtual]`

| Implements StepSelect_FileModifier.

Standard_EXPORT void StepSelect_FloatFormat::SetDefault | ( | const Standard_Integer | digits = `0` | ) |

Standard_EXPORT void StepSelect_FloatFormat::SetFormat | ( | const Standard_CString | format = `"%E"` | ) |

Standard_EXPORT void StepSelect_FloatFormat::SetFormatForRange | ( | const Standard_CString | format = `"%f"`,
|  | const Standard_Real | Rmin = `0.1`,
|  | const Standard_Real | Rmax = `1000.0`
| ) |

Standard_EXPORT void StepSelect_FloatFormat::SetZeroSuppress | ( | const Standard_Boolean | mode | ) |

## Field Documentation

TCollection_AsciiString StepSelect_FloatFormat::theformrange `[private]`

TCollection_AsciiString StepSelect_FloatFormat::themainform `[private]`

Standard_Real StepSelect_FloatFormat::therangemax `[private]`

Standard_Real StepSelect_FloatFormat::therangemin `[private]`

Standard_Boolean StepSelect_FloatFormat::thezerosup `[private]`

The documentation for this class was generated from the following file:

- StepSelect_FloatFormat.hxx